using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.Psi.Model;

namespace skyscraper5.Dvb.Psi
{
    public interface INitEventHandler
    {
        void SetNetworkId(ushort networkId, bool forceOverrite = false);
        void OnNitTransportStream(ushort networkId, NitTransportStream transportStream);
        void OnNitNetwork(NitNetwork nitNetwork);
    }
}
